Enrich stores
curl --request POST \
--url https://storeinspect.com/api/v1/stores/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"<string>"
],
"include": [
"store",
"technologies"
],
"contact_roles": [
"<string>"
],
"max_contacts_per_store": 1,
"reveal_contacts": false
}
'import requests
url = "https://storeinspect.com/api/v1/stores/enrich"
payload = {
"domains": ["<string>"],
"include": ["store", "technologies"],
"contact_roles": ["<string>"],
"max_contacts_per_store": 1,
"reveal_contacts": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domains: ['<string>'],
include: ['store', 'technologies'],
contact_roles: ['<string>'],
max_contacts_per_store: 1,
reveal_contacts: false
})
};
fetch('https://storeinspect.com/api/v1/stores/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "store_enrichment_result",
"data": [
{
"domain": "<string>",
"store": {
"id": "<string>",
"object": "store",
"domain": "<string>",
"name": "<string>",
"category": "<string>",
"country": "<string>",
"traffic_tier": "<string>",
"revenue_tier": "<string>",
"shopify_plus": true,
"lead_fit_score": 123,
"technologies": {
"apps": [
"<string>"
],
"pixels": [
"<string>"
],
"theme": {
"name": "<string>",
"type": "<string>"
}
},
"contacts_summary": {
"total": 123,
"has_revealable_contacts": true,
"verified_email_count": 123,
"roles": [
"<string>"
]
}
},
"contact_previews": [
{
"id": "<string>",
"object": "contact_preview",
"first_name": "<string>",
"last_name_obfuscated": "<string>",
"role": "<string>",
"title": "<string>",
"has_verified_email": true,
"has_phone": true,
"has_linkedin": true,
"revealed": true,
"store": {
"id": "<string>",
"domain": "<string>",
"name": "<string>",
"category": "<string>",
"traffic_tier": "<string>",
"technologies": {
"apps": [
"<string>"
],
"pixels": [
"<string>"
]
}
}
}
]
}
],
"found": 1,
"not_found": 1,
"request_id": "<string>"
}Stores
Enrich stores
Batch enriches a small set of known Shopify store domains already present in the StoreInspect database.
POST
/
stores
/
enrich
Enrich stores
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Store domains or URLs to enrich. Inputs are normalized to hostnames.
Required array length:
1 - 25 elementsAvailable options:
store, technologies, contact_previews Maximum array length:
50Required range:
1 <= x <= 10Must be false in V1 synchronous enrichment. Use /api/v1/contacts/reveal to reveal contacts.
Response
Found and not-found rows for a small set of domains already present in the StoreInspect database.
Was this page helpful?
⌘I